Rated 5 out of 5 stars

Many errors on start with FF17.0.
In 16.0.2 version is all right.

This review is for a previous version of the add-on (1.4.1.1-signed.1-signed).  This user has a previous review of this add-on.